Bug 374541 - nspluginwrapper fails to install
nspluginwrapper fails to install
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: nspluginwrapper (Show other bugs)
8
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-10 07:54 EST by Brian Wheeler
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version: 2.0.3-15.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-20 12:56:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Brian Wheeler 2007-11-10 07:54:15 EST
Description of problem:

nspluginwrapper fails to install properly

Version-Release number of selected component (if applicable):


How reproducible:

Every time, 2 machines.

Steps to Reproduce:
1. yum remove nspluginwrapper
2. yum install nspluginwrapper

  
Actual results:

The .x86_64 package fails to install, and nspluginwrapper (the binary) is not
installed.

[root@pazuzu tmp]# yum install nspluginwrapper
Loading "skip-broken" plugin
Setting up Install Process
Parsing package install arguments
Resolving Dependencies
--> Running transaction check
---> Package nspluginwrapper.x86_64 0:0.9.91.5-12.fc8 set to be updated
---> Package nspluginwrapper.i386 0:0.9.91.5-12.fc8 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size 
=============================================================================
Installing:
 nspluginwrapper         x86_64     0.9.91.5-12.fc8  updates           113 k
 nspluginwrapper         i386       0.9.91.5-12.fc8  updates           129 k

Transaction Summary
=============================================================================
Install      2 Package(s)         
Update       0 Package(s)         
Remove       0 Package(s)         

Total download size: 242 k
Is this ok [y/N]: y
Downloading Packages:
(1/2): nspluginwrapper-0. 100% |=========================| 129 kB    00:00     
(2/2): nspluginwrapper-0. 100% |=========================| 113 kB    00:00     
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing: nspluginwrapper              ######################### [1/2] 
error: %post(nspluginwrapper-0.9.91.5-12.fc8.x86_64) scriptlet failed, exit status 1
  Installing: nspluginwrapper              ######################### [2/2] 

Installed: nspluginwrapper.x86_64 0:0.9.91.5-12.fc8 nspluginwrapper.i386
0:0.9.91.5-12.fc8
Complete!
[root@pazuzu tmp]# nspluginwrapper
bash: nspluginwrapper: command not found


Expected results:

plugin goodness.

Additional info:
Comment 1 Jan "Yenya" Kasprzak 2007-11-15 13:15:05 EST
Just a "me too" with the solution: get nspluginwrapper-0.9.91.5.tar.gz from
upstream, and rpmbuild -ta it, install resulting packages

nspluginwrapper-i386-0.9.91.5-1
nspluginwrapper-0.9.91.5-1

and restart your browser. Worked for me at least for i386 flashplayer 9 plugged
into galeon-2.0.3-13.fc8.x86_64. The stock upstream spec file is correct (even
the postinstall script redetects and reinstalls the i386 plugins correctly).
Comment 2 Martin Stransky 2007-11-15 15:36:57 EST
Where is the problem? We don't ship nspluginwrapper binary. If you want to set
up your plugins, run mozilla-plugin-config. It should work out of the box in the
new firefox update (firefox-2.0.0.8 or firefox-2.0.0.9).
Comment 3 Brian Wheeler 2007-11-15 15:43:24 EST
I was unaware of mozilla-plugin-config, and I expected the nspluginwrapper
binary since that's what comes with the upstream.  I've done the install again
and it does install, but it still displays an error during the post-scriptlet.

Comment 4 Jan "Yenya" Kasprzak 2007-11-15 15:49:11 EST
Yes, the %post error is an independent problem.

I will try tomorrow the mozilla-plugin-config way.
Nevertheless, I had working F7 with (upstream) nspluginwrapper (the
libflashplayer.so installed in /usr/lib/mozilla/plugins/), and after upgrade to
F8 the nspluginwrapper'd flash player stopped working (even though it was listed
in Galeon's about:plugins). So the package is definitely not without problems.
Comment 5 Martin Stransky 2007-11-15 16:28:32 EST
The scriptlet's fail doesn't look significant (it runs fine for the second
package). But it should be fixed.

Anyway, there's a difference between fedora and the upstream package. Fedora
installs wrapped plugins to /usr/lib(64)/mozilla/plugins-wrapped and
firefox/seamonkey reads them from this location (if the nspluginwrapper package
is installed). 

Upstream package installs all plugins to old (default) location at
/usr/lib(64)/mozilla/plugins.
Comment 6 Jan "Yenya" Kasprzak 2007-11-16 10:46:14 EST
I have verified this: 

1. Have a 32-bit libflashplayer.so in /usr/lib/mozilla/plugins/

2. rpm -Uvh nspluginwrapper-0.9.91.5-12.fc8.*
Preparing...                ########################################### [100%]
   1:nspluginwrapper        ########################################### [ 50%]
error: %post(nspluginwrapper-0.9.91.5-12.fc8.x86_64) scriptlet failed, exit status 1
   2:nspluginwrapper        ########################################### [100%]

3. mozilla-plugin-config --list
EXCLUDE_WRAP:
libtotem-*
EXCLUDE_LINK:

File/Link /usr/lib/mozilla/plugins-wrapped/flashplayer.xpt
/usr/lib64/mozilla/plugins-wrapped/nswrapper_64_64.mozplugger.so
  Original plugin: /usr/lib64/mozilla/plugins/mozplugger.so
  Wrapper version string: 0.9.91.5
/usr/lib64/mozilla/plugins-wrapped/nswrapper_32_64.libflashplayer.so
  Original plugin: /usr/lib/mozilla/plugins/libflashplayer.so
  Wrapper version string: 0.9.91.5
/usr/lib64/mozilla/plugins-wrapped/npwrapper.libflashplayer.so
  Original plugin: /usr/lib/mozilla/plugins/libflashplayer.so
  Wrapper version string: 0.9.91.5
/usr/lib64/mozilla/plugins-wrapped/nswrapper_64_64.mozplugger.so
  Original plugin: /usr/lib64/mozilla/plugins/mozplugger.so
  Wrapper version string: 0.9.91.5
/usr/lib64/mozilla/plugins-wrapped/nswrapper_32_64.libflashplayer.so
  Original plugin: /usr/lib/mozilla/plugins/libflashplayer.so
  Wrapper version string: 0.9.91.5
/usr/lib64/mozilla/plugins-wrapped/npwrapper.libflashplayer.so
  Original plugin: /usr/lib/mozilla/plugins/libflashplayer.so
  Wrapper version string: 0.9.91.5
kas@calypso:plugins-wrapped$ nspluginwrapper -l
/usr/lib64/mozilla/plugins/npwrapper.libflashplayer.so
  Original plugin: /usr/lib/mozilla/plugins/libflashplayer.so
  Wrapper version string: 0.9.91.5

4. run Galeon (galeon-2.0.3-14.fc8.x86_64)
- the following error message appears:
sh: /usr/lib/nspluginwrapper/i386/linux/npviewer: No such file or directory
*** NSPlugin Wrapper *** ERROR: failed to execute NSPlugin viewer
*** NSPlugin Wrapper *** ERROR: failed to initialize plugin-side RPC client
connection
*** NSPlugin Wrapper *** ERROR: NP_Initialize() invoke: Connection was NULL
sh: /usr/lib/nspluginwrapper/i386/linux/npviewer: No such file or directory
- nswrapped flashplayer is visible in about:plugins, but YouTube displays only
white area instead of the video frame.

5. rpm -e nspluginwrapper.{i386,x86_64}

6. rpmbuild -ta nspluginwrapper-0.9.91.5.tar.bz2
- nspluginwrapper-0.9.91.5-1.x86_64.rpm and
nspluginwrapper-i386-0.9.91.5-1.x86_64.rpm packages are created.

7. rpm -Uvh RPMS/x86_64/nspluginwrapper-{,i386-}0.9.91.5-1.x86_64.rpm 
Preparing...                ########################################### [100%]
   1:nspluginwrapper-i386   ########################################### [ 50%]
   2:nspluginwrapper        ########################################### [100%]
Auto-install plugins from /usr/lib/mozilla/plugins
Looking for plugins in /usr/lib/mozilla/plugins
Install plugin /usr/lib/mozilla/plugins/libflashplayer.so
  into /usr/lib64/mozilla/plugins/npwrapper.libflashplayer.so
Auto-install plugins from /usr/lib64/mozilla/plugins
Looking for plugins in /usr/lib64/mozilla/plugins
*** NSPlugin Viewer  *** ERROR: /usr/lib64/mozilla/plugins/mozplugger.so: wrong
ELF class: ELFCLASS64
Auto-install plugins from /root/.mozilla/plugins
Looking for plugins in /root/.mozilla/plugins

8. run nspluginwrapper -l
/usr/lib64/mozilla/plugins/npwrapper.libflashplayer.so
  Original plugin: /usr/lib/mozilla/plugins/libflashplayer.so
  Wrapper version string: 0.9.91.5

9. start Galeon
- the wrapped libflashplayer is visible in about:plugins, YouTube actually works!
Comment 7 Martin Stransky 2007-11-16 11:02:45 EST
I don't know when galeon supports wrapped plugins at
/usr/lib64/mozilla/plugins-wrapped. 

Please check if the fedora nspluginwrapper package works with base browsers
(firefox, seamonkey). If only galeon fails to find wrapped plugins we need to
fix galeon (I can do that, anyway).
Comment 8 Jan "Yenya" Kasprzak 2007-11-16 11:22:49 EST
Galeon does support the same plugins as firefox (after all, it is just another
front-end to the gecko engine). As I said above, when Fedora nspluginwrapper is
installed, it can be seen in Galeon's about:plugins dialog. So Galeon definitely
can see the plugin, just the plugin is broken. It seems that
npviewer shell script tries to include the script
/usr/lib/nspluginwrapper/i386/linux/npviewer, which does not exist in the Fedora
package.
Comment 9 Martin Stransky 2007-11-16 11:29:24 EST
Never mind, Galeon doesn't support plugins wrapped by **Fedora** wrapper. I'll
fix it.

/usr/lib/nspluginwrapper/i386/linux/npviewer is called from upstream
nspluginwrapper package and its not shipped by fedora package.

Fedora has all binaries at /usr/lib(64)/nspluginwrapper.
Comment 10 Jan "Yenya" Kasprzak 2007-11-16 11:41:14 EST
OK, I am sorry then - I have probably had some remaining parts of the upstream
package in my system. Or maybe the Fedora nspluginwrapper does not re-wrap the
i386 plugins when installed? Because otherwise the wrapped flashplayer would not
be visible in about:plugins.

Anyway, thanks in advance for fixing Galeon, if this is a bug in Galeon.
Comment 11 Martin Stransky 2007-11-19 04:46:55 EST
patch added to CVS, package galeon-2.0.3-15.fc8.
Comment 12 Fedora Update System 2007-11-20 12:56:26 EST
galeon-2.0.3-15.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.